Bug 759470 - resolver - latest vs. LATEST
Summary: resolver - latest vs. LATEST
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: maven
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mikolaj Izdebski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-12-02 13:08 UTC by Stanislav Ochotnicky
Modified: 2013-02-11 10:01 UTC (History)
4 users (show)

Fixed In Version: 3.0.4-28
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-11 10:01:20 UTC
Type: ---


Attachments (Terms of Use)

Description Stanislav Ochotnicky 2011-12-02 13:08:37 UTC
Description of problem:
mvn-rpmbuild has problems with some dependencies when returning "latest" as available versions. "LATEST" works though. 

See if this change makes sense in the code and make a fix

Comment 1 Carlo de Wolf 2011-12-02 14:30:59 UTC
Using:

    <dependency>
      <groupId>org.codehaus.plexus</groupId>
      <artifactId>plexus-container-default</artifactId>
      <version>latest</version>
    </dependency>

The regular mvn build will fail with:

[ERROR] Failed to execute goal on project maven-plugin-api: Could not resolve dependencies for project org.apache.maven:maven-plugin-api:jar:3.0.3: Failure to find org.codehaus.plexus:plexus-container-default:jar:latest in https://repository.jboss.org/nexus/content/groups/public/ was cached in the local repository, resolution will not be reattempted until the update interval of jboss-public-repository-group has elapsed or updates are forced -> [Help 1]

Using:

    <dependency>
      <groupId>org.codehaus.plexus</groupId>
      <artifactId>plexus-container-default</artifactId>
      <version>LATEST</version>
    </dependency>

mvn-rpmbuild fails with:

[ERROR] Failed to execute goal org.apache.maven.plugins:maven-clean-plugin:2.4.1:clean (default-clean) on project maven: Execution default-clean of goal org.apache.maven.plugins:maven-clean-plugin:2.4.1:clean failed: Plugin org.apache.maven.plugins:maven-clean-plugin:2.4.1 or one of its dependencies could not be resolved: Failed to collect dependencies for org.apache.maven.plugins:maven-clean-plugin:jar:2.4.1 (): Failed to read artifact descriptor for org.codehaus.plexus:plexus-container-default:jar:LATEST: Failed to resolve version for org.codehaus.plexus:plexus-container-default:jar:LATEST: Could not find metadata org.codehaus.plexus:plexus-container-default/maven-metadata.xml in local (/home/carlo/work/apache/maven/maven-3/tags/maven-3.0.3/.m2) -> [Help 1]

Comment 2 Mikolaj Izdebski 2013-02-11 10:01:20 UTC
I believe that this bug is fixed in maven-3.0.4-28,
which is available in Fedora Rawhide.  I am closing the bug now,
thank you for reporting it.  A summary of changes is included below.

* Wed Jan 23 2013 Mikolaj Izdebski <mizdebsk@redhat.com> - 3.0.4-28
- Move mvn-local and mvn-rpmbuild out of %_bindir


Note You need to log in before you can comment on or make changes to this bug.